Loading...
Searching...
No Matches
macaddr.h File Reference

Go to the source code of this file.

## Functions

int | osmo_macaddr_parse (uint8_t *out, const char *in)
| Parse a MAC address from human-readable notation This function parses an ethernet MAC address in the commonly-used hex/colon notation (00:00:00:00:00:00) and generates the binary representation from it.
int | osmo_get_macaddr (uint8_t *mac_out, const char *dev_name)
| Obtain the MAC address of a given network device.